using System;
using System.Collections.Generic;
using System.Text;

namespace IrrlichtNetSwig
{
    public partial class ConstStringArray
    {
        public static implicit operator ConstStringArray(string[] other)
        {
            var arr = new ConstStringArray(other.Length);
            for (int i = 0; i < other.Length; i++)
            {
                arr.SetItem(i, other[i]);
            }
            return arr;
        }
        public string[] ToArray()
        {
            var arr = new string[this.GetSize()];
            for (int i = 0; i < GetSize(); i++)
            {
                arr[i] = GetItem(i);
            }
            return arr;
        }
    }
}
